package org.dromara.ygpassport.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 生涯规划相关信息对象 ep_career_plans
 *
 * @author Lion Li
 * @date 2024-03-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_career_plans")
public class CareerPlans extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 上传文件路径
     */
    private String path;

    /**
     * 预留备注字段
     */
    private String remark;

    /**
     * 是否删除
     */
    private Integer deleted;


}
