package org.dromara.ygpassport.domain;


import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 职业技能证书对象 ep_career_skill
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_career_skill")
public class CareerSkill extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 证件名称
     */
    private String certTitle;

    /**
     * 证件等级
     */
    private Long certLevel;

    /**
     * 证件内容
     */
    private Long certContent;

    /**
     * 获得时间
     */
    private String fetchTime;

    /**
     * 证件照片
     */
    private String certImage;

    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;

    /**
     * 预留备注字段
     */
    private String remark;

}
