package org.dromara.ygpassport.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 实战项目经历对象 ep_combat_project
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_combat_project")
public class CombatProject extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 项目组/导师名称
     */
    private String tutorName;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 成绩
     */
    private Integer score;

    /**
     * 参与时长
     */
    private String participateDuration;

    /**
     * 岗位角色
     */
    private String jobRole;

}
