package org.dromara.ygpassport.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 第二课堂活动明细对象 ep_exactive_items
 *
 * @author Lion Li
 * @date 2024-04-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_exactive_items")
public class ExactiveItems extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学号
     */
    private String stuNo;

    /**
     * 级别id，在字典中配置
     */
    private Long levelId;

    /**
     * 活动内容
     */
    private String content;

    /**
     * 学分名称id，对应字典中配置的类别id
     */
    private Long activeTypeId;

    /**
     * 数量/分值
     */
    private BigDecimal score;

    /**
     * 分值单位，如分学，在字典中配置
     */
    private Long scoreUnitId;

    /**
     * 活动时间
     */
    private Date activeDate;

    /**
     * 预留备注字段
     */
    private String remark;


}
