package org.dromara.ygpassport.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

import java.io.Serial;

/**
 * 第二课堂活动记录对象 ep_extrac_activities
 *
 * @author Lion Li
 * @date 2024-03-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_extrac_activities")
public class ExtracActivities extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 活动id
     */
    private Long activeTypeId;

    /**
     * 活动名称
     */
    private String activeTypeName;

    /**
     * 分值
     */
    private BigDecimal score;

    /**
     * 分值单位
     */
    private Long scoreUnitId;

    /**
     * 成绩单编号
     */
    private Long reeportCardNumber;

    /**
     * 总分
     */
    private BigDecimal totalScore;

    /**
     * 预留备注字段
     */
    private String remark;


}
