package org.dromara.ygpassport.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.mybatis.core.domain.BaseEntity;

import java.io.Serial;
import java.util.Date;

/**
 * 科研对象 ep_research
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_research")
public class Research extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 科研名称
     */
    private String researchName;

    /**
     * 科研名称编号
     */
    private String researchNo;

    /**
     * 是否为第一/第二作者
     */
    private Integer isOnetow;

    /**
     * 出版日期
     */
    private Date publishDate;

    /**
     * 附件
     */
    private String researchFilePath;


}
