package org.dromara.ygpassport.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 奖学金获评记录对象 ep_scholarship
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_scholarship")
public class Scholarship extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;


    /**
     * 奖项名称
     */
    private String scholarshipName;

    /**
     * 奖项内容
     */
    private String scholarshipDetail;

    /**
     * 等级
     */
    private Long grade;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;

    /**
     * 预留备注字段
     */
    private String remark;


}
