package org.dromara.ygpassport.domain;

import jakarta.validation.constraints.NotNull;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

import java.io.Serial;

/**
 * 学生成绩信息列对象 ep_score_list
 *
 * @author Lion Li
 * @date 2023-10-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_score_list")
public class ScoreList extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 专业
     */
    private Integer major;

    /**
     * 学期
     */
    private Integer semester;

    /**
     * 课程类型
     */
    private Integer courseType;

    /**
     * 课程代码
     */
    private Long courseCode;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 学分值
     */
    private BigDecimal hourCredit;

    /**
     * 分数值
     */
    private BigDecimal score;

    /**
     * 绩点
     */
    private Integer gradePoints;

    /**
     * 预留备注字段
     */
    private String remark;

    /**
     * 是否删除
     */
    private Integer deleted;


}
