package org.dromara.ygpassport.domain;

import jakarta.validation.constraints.NotBlank;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 学生详情对象 ep_student
 *
 * @author Lion Li
 * @date 2024-03-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_student")
public class Student extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 学生姓名
     */
    private String stuName;

    /**
     * 学生年龄
     */
    private Long age;

    /**
     * 性别
     */
    private Long stuSex;

    /**
     * 所属校区
     */
    private Long stuCampus;

    /**
     * 所属学院
     */
    private Long faculties;

    /**
     * 专业
     */
    private Long stuMajor;

    /**
     * 年级
     */
    private String stuGrade;

    /**
     * 班级名称
     */
    private String stuClass;

    /**
     * 学制
     */
    private Long academic;

    /**
     * 培养层次
     */
    private Long stuLevels;

    /**
     * 照片路径
     */
    private String imagePath;

    /**
     * 姓名拼音
     */
    private String pinyin;

    /**
     * 国籍
     */
    private String nationality;

    /**
     * 籍贯
     */
    private String origin;

    /**
     * 民族
     */
    private String ethnic;

    /**
     * 政治面貌
     */
    private String policyStatus;

    /**
     * 出生日期
     */
    private Date birthTime;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 特长
     */
    private String specialty;

    /**
     * 地址
     */
    private String address;

    /**
     * 导师
     */
    private Long mintorId;


}
