package org.dromara.ygpassport.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 学生干部经历对象 ep_student_leader_experience
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_student_leader_experience")
public class StudentLeaderExperience extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 干部名称
     */
    private String leaderName;

    /**
     * 干部经历
     */
    private String leaderExperience;

    /**
     * 教师评价
     */
    private String teacherEvaluate;

    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;

    /**
     * 预留备注字段
     */
    private String remark;


}
