package org.dromara.ygpassport.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.mybatis.core.domain.BaseEntity;

import java.io.Serial;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_student_list")
public class StudentList extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 学生ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 学生姓名
     */
    private String stuName;

    /**
     * 学生性别
     */
    private Long stuSex;

    /**
     * 学生专业
     */
    private Long stuMajor;

    /**
     * 学生院系
     */
    private Long faculties;

    /**
     * 学生年级
     */
    private String stuGrade;

    /**
     * 学生班级
     */
    private String stuClass;

    /**
     * 培养层次
     */
    private Long stuLevels;

    /**
     * 所属校区
     */
    private Long stuCampus;

    /**
     * 学号
     */
    private String stuNo;
}
