package org.dromara.ygpassport.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

import java.io.Serial;

/**
 * 志愿服务对象 ep_volunteering
 *
 * @author Lion Li
 * @date 2024-03-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ep_volunteering")
public class Volunteering extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学号
     */
    private String stuNo;

    /**
     * 活动名称
     */
    private String activitiesTitle;

    /**
     * 活动介绍
     */
    private String activitiesIntroduce;

    /**
     * 获得学分
     */
    private BigDecimal score;

    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;


}
