package org.dromara.ygpassport.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.ygpassport.domain.Bug;

/**
 * Bug信息业务对象 ep_bug
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Bug.class, reverseConvertGenerate = false)
public class BugBo extends BaseEntity {

    /**
     * id
     */
    @NotNull(message = "id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学生学号
     */
    @NotBlank(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * bug类型
     */
    @NotNull(message = "bug类型不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long bugType;

    /**
     * bug描述
     */
    @NotBlank(message = "bug描述不能为空", groups = { AddGroup.class, EditGroup.class })
    private String bugDerp;


}
