package org.dromara.ygpassport.domain.bo;

import org.dromara.ygpassport.domain.CareerPlans;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 生涯规划相关信息业务对象 ep_career_plans
 *
 * @author Lion Li
 * @date 2024-03-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CareerPlans.class, reverseConvertGenerate = false)
public class CareerPlansBo extends BaseEntity {

    /**
     * 编号
     */
    @NotNull(message = "编号不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学生学号
     */
    @NotBlank(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 学期
     */
    @NotNull(message = "学期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long semester;

    /**
     * 上传文件路径
     */
//    @NotBlank(message = "上传文件路径不能为空", groups = { AddGroup.class, EditGroup.class })
    private String path;

    /**
     * 预留备注字段
     */
    private String remark;


}
