package org.dromara.ygpassport.domain.bo;


import org.dromara.ygpassport.domain.CareerSkill;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 职业技能证书业务对象 ep_career_skill
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CareerSkill.class, reverseConvertGenerate = false)
public class CareerSkillBo extends BaseEntity {

    /**
     * 序号
     */
    @NotNull(message = "序号不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学生学号
     */
    @NotBlank(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 证件名称
     */
    private String certTitle;

    /**
     * 证件等级
     */
    private Long certLevel;

    /**
     * 证件内容
     */
    private Long certContent;

    /**
     * 获得时间
     */
    private String fetchTime;

    /**
     * 证件照片
     */
    private String certImage;

    /**
     * 附件信息存放路径
     */
    @NotBlank(message = "附件信息存放路径不能为空", groups = { AddGroup.class, EditGroup.class })
    private String experienceFilePath;

    /**
     * 预留备注字段
     */
//    @NotBlank(message = "预留备注字段不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
