package org.dromara.ygpassport.domain.bo;

import org.dromara.ygpassport.domain.CombatProject;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 实战项目经历业务对象 ep_combat_project
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CombatProject.class, reverseConvertGenerate = false)
public class CombatProjectBo extends BaseEntity {

    /**
     * id
     */
    @NotNull(message = "id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学生学号
     */
    @NotBlank(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 学期
     */
    @NotNull(message = "学期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long semester;

    /**
     * 项目组/导师名称
     */
    @NotBlank(message = "项目组/导师名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String tutorName;

    /**
     * 项目名称
     */
    @NotBlank(message = "项目名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectName;

    /**
     * 参与时长
     */
    @NotBlank(message = "参与时长不能为空", groups = { AddGroup.class, EditGroup.class })
    private String participateDuration;

    /**
     * 岗位角色
     */
    @NotBlank(message = "岗位角色不能为空", groups = { AddGroup.class, EditGroup.class })
    private String jobRole;

    /**
     * 成绩
     */
    @NotNull(message = "成绩不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer score;


}
