package org.dromara.ygpassport.domain.bo;

import org.dromara.ygpassport.domain.ExtracActivities;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.math.BigDecimal;

/**
 * 第二课堂活动记录业务对象 ep_extrac_activities
 *
 * @author Lion Li
 * @date 2024-03-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ExtracActivities.class, reverseConvertGenerate = false)
public class ExtracActivitiesBo extends BaseEntity {

    /**
     * 编号
     */
    private Long id;

    /**
     * 学生学号
     */
    @NotNull(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 活动id
     */
    @NotNull(message = "活动id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long activeTypeId;

    /**
     * 活动名称
     */
    private String activeTypeName;

    /**
     * 分值
     */
    @NotNull(message = "分值不能为空", groups = { AddGroup.class, EditGroup.class })
    private BigDecimal score;

    /**
     * 分值单位
     */
    @NotNull(message = "分值单位不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long scoreUnitId;

    /**
     * 成绩单编号
     */
    @NotNull(message = "成绩单编号不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long reeportCardNumber;

    /**
     * 总分
     */
    private BigDecimal totalScore;

    /**
     * 预留备注字段
     */
    private String remark;


}
