package org.dromara.ygpassport.domain.bo;

import org.dromara.ygpassport.domain.ForeignLanguageSkill;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 外语能力水平业务对象 ep_foreign_language_skill
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ForeignLanguageSkill.class, reverseConvertGenerate = false)
public class ForeignLanguageSkillBo extends BaseEntity {

    /**
     * 序号
     */
    @NotNull(message = "序号不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学生学号
     */
    @NotBlank(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 语言等级
     */
    @NotNull(message = "语言等级不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long languageLevel;

    /**
     * 学期
     */
    @NotNull(message = "学期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long semester;

    /**
     * 附件信息存放路径
     */
    //@NotBlank(message = "附件信息存放路径不能为空", groups = { AddGroup.class, EditGroup.class })
    private String experienceFilePath;

    /**
     * 预留备注字段
     */
//    @NotBlank(message = "预留备注字段不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
