package org.dromara.ygpassport.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.ygpassport.domain.Goal;

/**
 * 目标信息业务对象 ep_goal
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Goal.class, reverseConvertGenerate = false)
public class GoalBo extends BaseEntity {

    /**
     * id
     */
    @NotNull(message = "id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学生学号
     */
    @NotBlank(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 目标
     */
    @NotBlank(message = "目标不能为空", groups = { AddGroup.class, EditGroup.class })
    private String goal;


}
