package org.dromara.ygpassport.domain.bo;

import org.dromara.ygpassport.domain.Internships;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 实习情况业务对象 ep_internships
 *
 * @author Lion Li
 * @date 2024-03-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Internships.class, reverseConvertGenerate = false)
public class InternshipsBo extends BaseEntity {

    /**
     *
     */
    @NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学号
     */
    @NotBlank(message = "学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 公司名称
     */
    @NotBlank(message = "公司名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String companyName;

    /**
     * 工作时间
     */
    @NotBlank(message = "工作时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private String workingHours;

    /**
     * 职务
     */
    @NotBlank(message = "职务不能为空", groups = { AddGroup.class, EditGroup.class })
    private String job;

    /**
     * 职务内容
     */
    @NotBlank(message = "职务内容不能为空", groups = { AddGroup.class, EditGroup.class })
    private String jobDescription;

    /**
     * 附件信息存放路径
     */
//    @NotBlank(message = "附件信息存放路径不能为空", groups = { AddGroup.class, EditGroup.class })
    private String experienceFilePath;

}
