package org.dromara.ygpassport.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.ygpassport.domain.Research;

import java.util.Date;

/**
 * 科研业务对象 ep_research
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Research.class, reverseConvertGenerate = false)
public class ResearchBo extends BaseEntity {

    /**
     *
     */
    @NotNull(message = "id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学生学号
     */
    @NotBlank(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 学期
     */
    @NotNull(message = "学期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long semester;

    /**
     *
     */
    @NotBlank(message = "科研名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String researchName;

    /**
     *
     */
    @NotBlank(message = "科研名称编号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String researchNo;

    /**
     *
     */
    @NotNull(message = "是否为第一/第二作者不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer isOnetow;

    /**
     *
     */
    @NotNull(message = "出版日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date publishDate;

    /**
     *
     */

    private String researchFilePath;


}
