package org.dromara.ygpassport.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.ygpassport.domain.Scoreplan;

/**
 * 个人目标与成长计划业务对象 ep_scoreplan
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Scoreplan.class, reverseConvertGenerate = false)
public class ScoreplanBo extends BaseEntity {

    /**
     *
     */
    @NotNull(message = "id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学生学号
     */
    @NotBlank(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 学期
     */
    @NotNull(message = "学期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long semester;

    /**
     *
     */
    @NotBlank(message = "个人目标不能为空", groups = { AddGroup.class, EditGroup.class })
    private String score;

    /**
     *
     */
    @NotBlank(message = "成长计划不能为空", groups = { AddGroup.class, EditGroup.class })
    private String plan;

    /**
     *
     */

    private String filePath;


}
