package org.dromara.ygpassport.domain.bo;

import org.dromara.ygpassport.domain.StudentAlbum;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 学生相册业务对象 ep_student_album
 *
 * @author Lion Li
 * @date 2024-09-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = StudentAlbum.class, reverseConvertGenerate = false)
public class StudentAlbumBo extends BaseEntity {

    /**
     * id
     */
    @NotNull(message = "id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学号
     */
    @NotNull(message = "学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 相片id
     */
    @NotNull(message = "相片id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long photoId;

    /**
     * 类型(0个人相册，1志愿服务）
     */
    @NotNull(message = "类型不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long type;

    /**
     * 状态
     */
    @NotNull(message = "状态不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long status;


}
