package org.dromara.ygpassport.domain.bo;

import org.dromara.ygpassport.domain.StudentLeaderExperience;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 学生干部经历业务对象 ep_student_leader_experience
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = StudentLeaderExperience.class, reverseConvertGenerate = false)
public class StudentLeaderExperienceBo extends BaseEntity {

    /**
     * 序号
     */
    private Long id;

    /**
     * 学生学号
     */
    @NotNull(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 学期
     */
    @NotNull(message = "学期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long semester;

    /**
     * 干部经历
     */
    private String leaderName;

    /**
     * 干部经历
     */
    private String leaderExperience;

    /**
     * 教师评价
     */
    private String teacherEvaluate;

    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;

    /**
     * 预留备注字段
     */
    private String remark;


}
