package org.dromara.ygpassport.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.ygpassport.domain.StudentList;

@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = StudentList.class, reverseConvertGenerate = false)
public class StudentListBo extends BaseEntity {

    /**
     * 学生ID
     */
    @NotNull(message = "学生ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学生姓名
     */
    @NotBlank(message = "学生姓名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuName;

    /**
     * 学生性别
     */
    @NotNull(message = "学生性别不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long stuSex;

    /**
     * 学生专业
     */
    @NotNull(message = "学生专业不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long stuMajor;

    /**
     * 学生院系
     */
    @NotNull(message = "学生院系不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long faculties;

    /**
     * 学生年级
     */
    @NotBlank(message = "学生年级不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuGrade;

    /**
     * 学生班级
     */
    @NotBlank(message = "学生班级不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuClass;

    /**
     * 培养层次
     */
    @NotNull(message = "培养层次不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long stuLevels;

    /**
     * 所属校区
     */
    @NotNull(message = "所属校区不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long stuCampus;

    /**
     * 学号
     */
    @NotNull(message = "学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;
}
