package org.dromara.ygpassport.domain.bo;

import org.dromara.ygpassport.domain.Tutor;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 导师组活动业务对象 ep_tutor
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Tutor.class, reverseConvertGenerate = false)
public class TutorBo extends BaseEntity {

    /**
     * id
     */
    @NotNull(message = "id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学生学号
     */
    @NotBlank(message = "学生学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 所在学期
     */
    @NotNull(message = "学期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long semester;

    /**
     * 导师组名称
     */
    @NotBlank(message = "导师组名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String tutorName;

    /**
     * 导师组类型
     */
    @NotNull(message = "导师组类型不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long tutorType;

    /**
     * 项目名称
     */
    @NotBlank(message = "项目名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectName;

    /**
     * 成绩
     */
    @NotNull(message = "成绩不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer score;


}
