package org.dromara.ygpassport.domain.bo;

import org.dromara.ygpassport.domain.Volunteering;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.math.BigDecimal;

/**
 * 志愿服务业务对象 ep_volunteering
 *
 * @author Lion Li
 * @date 2024-03-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Volunteering.class, reverseConvertGenerate = false)
public class VolunteeringBo extends BaseEntity {

    /**
     *
     */
    @NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学号
     */
    @NotBlank(message = "学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String stuNo;

    /**
     * 活动名称
     */
    @NotBlank(message = "活动名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String activitiesTitle;

    /**
     * 活动介绍
     */
    @NotBlank(message = "活动介绍不能为空", groups = { AddGroup.class, EditGroup.class })
    private String activitiesIntroduce;

    /**
     * 获得学分
     */
    @NotNull(message = "获得学分不能为空", groups = { AddGroup.class, EditGroup.class })
    private BigDecimal score;

    /**
     * 附件信息存放路径
     */
    @NotBlank(message = "附件信息存放路径不能为空", groups = { AddGroup.class, EditGroup.class })
    private String experienceFilePath;

}
