package org.dromara.ygpassport.domain.dto;


import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.CombatProject;
import org.dromara.ygpassport.domain.bo.CombatProjectBo;
import org.dromara.ygpassport.domain.vo.CombatProjectVo;

import java.io.Serial;

/**
 * 实战项目经历对象 ep_combat_project
 *
 */
@Data
@AutoMapper(target = CombatProjectBo.class, reverseConvertGenerate = false)
public class WxCombatProjectDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 参与时长
     */
    private String participateDuration;

    /**
     * 学期
     */
    private Integer semester;

    /**
     * 岗位角色
     */
    private String jobRole;

    /**
     * 项目类型
     */
    private String projectType;

    public WxCombatProjectDto() {
    }

    public WxCombatProjectDto(CombatProjectVo combatProjectVo) {
        this.projectName = combatProjectVo.getProjectName();
        this.participateDuration = combatProjectVo.getParticipateDuration();
        this.jobRole = combatProjectVo.getJobRole();
        this.projectType = combatProjectVo.getProjectName();
    }
}
