package org.dromara.ygpassport.domain.dto;


import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.ygpassport.domain.ForeignLanguageSkill;
import org.dromara.ygpassport.domain.bo.ForeignLanguageSkillBo;
import org.dromara.ygpassport.domain.vo.ForeignLanguageSkillVo;

import java.io.Serial;

/**
 * 外语能力水平
 */
@Data
@AutoMapper(target = ForeignLanguageSkillBo.class, reverseConvertGenerate = false)
public class WxForeignLanguageSkillDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 语言等级
     */
    private Long languageLevel;

    /**
     * 获取时间
     */
    private Long semester;

    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;

    public WxForeignLanguageSkillDto() {
    }

    public WxForeignLanguageSkillDto(ForeignLanguageSkill foreignLanguageSkill) {
        this.id = foreignLanguageSkill.getId();
        this.languageLevel = foreignLanguageSkill.getLanguageLevel();
        this.semester = foreignLanguageSkill.getSemester();
        this.experienceFilePath = foreignLanguageSkill.getExperienceFilePath();
    }
}
