package org.dromara.ygpassport.domain.dto;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.StudentLeaderExperienceBo;
import org.dromara.ygpassport.domain.vo.StudentLeaderExperienceVo;

import java.io.Serial;

@Data
@AutoMapper(target = StudentLeaderExperienceBo.class, reverseConvertGenerate = false)
public class WxStudentLeaderExperienceDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 干部名称
     */
    private String leaderName;

    /**
     * 干部经历
     */
    private String leaderExperience;

    /**
     * 教师评价
     */
    private String teacherEvaluate;


    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;

    /**
     * 预留备注字段
     */
    private String remark;

    public WxStudentLeaderExperienceDto() {
    }

    public WxStudentLeaderExperienceDto(StudentLeaderExperienceVo studentLeaderExperienceVo) {
        this.id = studentLeaderExperienceVo.getId();
        this.stuNo = studentLeaderExperienceVo.getStuNo();
        this.leaderName = studentLeaderExperienceVo.getLeaderName();
        this.leaderExperience = studentLeaderExperienceVo.getLeaderExperience();
        this.experienceFilePath = studentLeaderExperienceVo.getExperienceFilePath();
    }

}
