package org.dromara.ygpassport.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import org.dromara.ygpassport.domain.ArchivesGo;

import java.io.Serial;
import java.io.Serializable;



/**
 * 档案去向视图对象 ep_archives_go
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = ArchivesGo.class)
public class ArchivesGoVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * 档案去向
     */
    @ExcelProperty(value = "档案去向", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "archives_method")
    private Long archivesMethod;

    /**
     * 附件信息存放路径
     */
    @ExcelIgnore
    private String experienceFilePath;
}
