package org.dromara.ygpassport.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import org.dromara.ygpassport.domain.Bug;

import java.io.Serial;
import java.io.Serializable;

/**
 * Bug信息视图对象 ep_bug
 *
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = Bug.class)
public class BugVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * bug类型
     */
    @ExcelProperty(value = "bug类型", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "bug_type")
    private Long bugType;

    /**
     * bug描述
     */
    @ExcelProperty(value = "bug描述")
    private String bugDerp;


}
