package org.dromara.ygpassport.domain.vo;

import org.dromara.ygpassport.domain.CareerSkill;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 职业技能证书视图对象 ep_career_skill
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CareerSkill.class)
public class CareerSkillVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * 证件名称
     */
    @ExcelProperty(value = "证件名称")
    private String certTitle;

    /**
     * 证件等级
     */
    @ExcelProperty(value = "证件等级")
    private Long certLevel;

    /**
     * 证件内容
     */
    @ExcelProperty(value = "证件内容")
    private Long certContent;

    /**
     * 获得时间
     */
    @ExcelProperty(value = "获得时间")
    private String fetchTime;

    /**
     * 证件照片
     */
    @ExcelProperty(value = "证件照片")
    private String certImage;

}
