package org.dromara.ygpassport.domain.vo;

import org.dromara.ygpassport.domain.CombatProject;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;



/**
 * 实战项目经历视图对象 ep_combat_project
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CombatProject.class)
public class CombatProjectVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * 学期
     */
    @ExcelProperty(value = "学期", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "semester")
    private Long semester;

    /**
     * 项目组/导师名称
     */
    @ExcelProperty(value = "项目组/导师名称")
    private String tutorName;

    /**
     * 项目名称
     */
    @ExcelProperty(value = "项目名称")
    private String projectName;

    /**
     * 成绩
     */
    @ExcelProperty(value = "成绩")
    private Integer score;

    /**
     * 参与时长
     */
    @ExcelProperty(value = "参与时长")
    private String participateDuration;

    /**
     * 岗位角色
     */
    @ExcelProperty(value = "岗位角色")
    private String jobRole;

}
