package org.dromara.ygpassport.domain.vo;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.ygpassport.domain.ExactiveItems;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 第二课堂活动明细视图对象 ep_exactive_items
 *
 * @author Lion Li
 * @date 2024-04-24
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = ExactiveItems.class)
public class ExactiveItemsVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 学号
     */
    @ExcelProperty(value = "学号")
    private String stuNo;

    /**
     * 级别id，在字典中配置
     */
    @ExcelProperty(value = "级别id，在字典中配置", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "level_id")
    private Long levelId;

    /**
     * 活动内容
     */
    @ExcelProperty(value = "活动内容")
    private String content;

    /**
     * 学分名称id，对应字典中配置的类别id
     */
    @ExcelProperty(value = "学分名称id，对应字典中配置的类别id", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "active_type_id")
    private Long activeTypeId;

    /**
     * 数量/分值
     */
    @ExcelProperty(value = "数量/分值")
    private BigDecimal score;

    /**
     * 分值单位，如分学，在字典中配置
     */
    @ExcelProperty(value = "分值单位，如分学，在字典中配置", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "score_unit")
    private Long scoreUnitId;

    /**
     * 活动时间
     */
    @ExcelProperty(value = "活动时间")
    private Date activeDate;

    /**
     * 预留备注字段
     */
    @ExcelProperty(value = "预留备注字段")
    private String remark;


}
