package org.dromara.ygpassport.domain.vo;

import java.math.BigDecimal;
import org.dromara.ygpassport.domain.ExtracActivities;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 第二课堂活动记录视图对象 ep_extrac_activities
 *
 * @author Lion Li
 * @date 2024-03-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = ExtracActivities.class)
public class ExtracActivitiesVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * 活动id
     */
    @ExcelProperty(value = "活动id")
    private Long activeTypeId;

    /**
     * 活动名称
     */
    @ExcelProperty(value = "活动名称")
    private String activeTypeName;

    /**
     * 分值
     */
    @ExcelProperty(value = "分值")
    private BigDecimal score;

    /**
     * 分值单位
     */
    @ExcelProperty(value = "分值单位")
    private Long scoreUnitId;

    /**
     * 成绩单编号
     */
    @ExcelProperty(value = "成绩单编号")
    private Long reeportCardNumber;

    /**
     * 总分
     */
    @ExcelProperty(value = "总分")
    private BigDecimal totalScore;

    /**
     * 预留备注字段
     */
    @ExcelProperty(value = "预留备注字段")
    private String remark;


}
