package org.dromara.ygpassport.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import org.dromara.ygpassport.domain.Internships;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;




/**
 * 实习情况视图对象 ep_internships
 *
 * @author Lion Li
 * @date 2024-03-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = Internships.class)
public class InternshipsVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private Long id;

    /**
     * 学号
     */
    @ExcelProperty(value = "学号")
    private String stuNo;

    /**
     * 公司名称
     */
    @ExcelProperty(value = "公司名称")
    private String companyName;

    /**
     * 工作时间
     */
    @ExcelProperty(value = "工作时间")
    private String workingHours;

    /**
     * 职务
     */
    @ExcelProperty(value = "职务")
    private String job;

    /**
     * 职务内容
     */
    @ExcelProperty(value = "职务内容")
    private String jobDescription;

    /**
     * 附件信息存放路径
     */
    @ExcelIgnore
    private String experienceFilePath;

}
