package org.dromara.ygpassport.domain.vo;

import java.math.BigDecimal;
import org.dromara.ygpassport.domain.PhysiqueTest;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 学生体质健康测试数据视图对象 ep_physique_test
 *
 * @author Lion Li
 * @date 2024-03-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PhysiqueTest.class)
public class PhysiqueTestVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * 上传文件路径
     */
    @ExcelProperty(value = "上传文件路径")
    private String path;

    /**
     * 预留备注字段
     */
    @ExcelProperty(value = "预留备注字段")
    private String remark;

    /**
     * 是否删除
     */
    @ExcelProperty(value = "是否删除")
    private Integer deleted;


}
