package org.dromara.ygpassport.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import org.dromara.ygpassport.domain.Scholarship;

import java.io.Serial;
import java.io.Serializable;



/**
 * 奖学金获评记录视图对象 ep_scholarship
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = Scholarship.class)
public class ScholarshipVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * 奖项名称
     */
    @ExcelProperty(value = "奖项名称")
    private String scholarshipName;

    /**
     * 奖项内容
     */
    @ExcelProperty(value = "奖项内容")
    private String scholarshipDetail;

    /**
     * 等级
     */
    @ExcelProperty(value = "等级", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "scholarship_level")
    private Long grade;

    /**
     * 学期
     */
    @ExcelProperty(value = "学期", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "semester")
    private Long semester;

    /**
     * 附件信息存放路径
     */
    @ExcelIgnore
    private String experienceFilePath;
}
