package org.dromara.ygpassport.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import org.dromara.ygpassport.domain.Scoreplan;

import java.io.Serial;
import java.io.Serializable;

/**
 * 个人目标与成长计划视图对象 ep_scoreplan
 *
 * @author Lion Li
 * @date 2024-03-20
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = Scoreplan.class)
public class ScoreplanVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ExcelProperty(value = "id")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * 学期
     */
    @ExcelProperty(value = "学期", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "semester")
    private Long semester;

    /**
     *
     */
    @ExcelProperty(value = "个人目标")
    private String score;

    /**
     *
     */
    @ExcelProperty(value = "成长计划")
    private String plan;

    /**
     *
     */
    @ExcelIgnore
    private String filePath;


}
