package org.dromara.ygpassport.domain.vo;

import org.dromara.system.domain.SysOss;
import org.dromara.system.domain.vo.SysOssVo;
import org.dromara.ygpassport.domain.StudentAlbum;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 学生相册视图对象 ep_student_album
 *
 * @author Lion Li
 * @date 2024-09-12
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = StudentAlbum.class)
public class StudentAlbumVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    private Long id;

    /**
     * 学号
     */
    @ExcelProperty(value = "学号")
    private String stuNo;

    /**
     * 相片id
     */
    @ExcelProperty(value = "相片id")
    private Long photoId;

    /**
     * 相片信息
     */
    private SysOssVo oss;

    /**
     * 类型(0个人相册，1志愿服务）
     */
    @ExcelProperty(value = "类型(0个人相册，1志愿服务）")
    private Long type;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private Long status;


}
