package org.dromara.ygpassport.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import org.dromara.ygpassport.domain.StudentLeaderExperience;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 学生干部经历视图对象 ep_student_leader_experience
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = StudentLeaderExperience.class)
public class StudentLeaderExperienceVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * 学期
     */
    @ExcelProperty(value = "学期", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "semester")
    private Long semester;

    /**
     * 干部经历
     */
    @ExcelProperty(value = "干部名称")
    private String leaderName;

    /**
     * 干部经历
     */
    @ExcelProperty(value = "干部经历")
    private String leaderExperience;

    /**
     * 教师评价
     */
    @ExcelProperty(value = "教师评价")
    private String teacherEvaluate;

    /**
     * 附件信息存放路径
     */
    @ExcelIgnore
    private String experienceFilePath;
}
