package org.dromara.ygpassport.domain.vo;

import org.dromara.ygpassport.domain.Tutor;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 导师组活动视图对象 ep_tutor
 *
 * @author Lion Li
 * @date 2024-01-11
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = Tutor.class)
public class TutorVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private Long id;

    /**
     * 学生学号
     */
    @ExcelProperty(value = "学生学号")
    private String stuNo;

    /**
     * 所在学期
     */
    @ExcelProperty(value = "所在学期", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "semester")
    private Long semester;

    /**
     * 导师组名称
     */
    @ExcelProperty(value = "导师组名称")
    private String tutorName;

    /**
     * 导师组类型
     */
    @ExcelProperty(value = "导师组类型", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "tutor_type")
    private Long tutorType;

    /**
     * 项目名称
     */
    @ExcelProperty(value = "项目名称")
    private String projectName;

    /**
     * 成绩
     */
    @ExcelProperty(value = "成绩")
    private Integer score;


}
