package org.dromara.ygpassport.domain.vo;

import java.math.BigDecimal;

import com.alibaba.excel.annotation.ExcelIgnore;
import org.dromara.ygpassport.domain.Volunteering;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;




/**
 * 志愿服务视图对象 ep_volunteering
 *
 * @author Lion Li
 * @date 2024-03-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = Volunteering.class)
public class VolunteeringVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private Long id;

    /**
     * 学号
     */
    @ExcelProperty(value = "学号")
    private String stuNo;

    /**
     * 活动名称
     */
    @ExcelProperty(value = "活动名称")
    private String activitiesTitle;

    /**
     * 活动介绍
     */
    @ExcelProperty(value = "活动介绍")
    private String activitiesIntroduce;

    /**
     * 获得学分
     */
    @ExcelProperty(value = "获得学分")
    private BigDecimal score;

    /**
     * 附件信息存放路径
     */
    @ExcelIgnore
    private String experienceFilePath;

}
