package org.dromara.ygpassport.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import org.dromara.common.mybatis.annotation.DataColumn;
import org.dromara.common.mybatis.annotation.DataPermission;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.ygpassport.domain.ScoreList;
import org.dromara.ygpassport.domain.vo.ScoreListVo;

import java.util.List;

/**
 * 学生成绩信息列Mapper接口
 *
 * @author Lion Li
 * @date 2023-10-30
 */
public interface ScoreListMapper extends BaseMapperPlus<ScoreList, ScoreListVo> {
    /**
     * 查询学生成绩信息
     *
     * @param queryWrapper 查询条件
     * @return 学生信息集合
     */
    @DataPermission({
        @DataColumn(key = "id", value = "id")
    })
    List<ScoreListVo> selectDeptList(@Param(Constants.WRAPPER) Wrapper<ScoreList> queryWrapper);

    /**
     * 根据学号查询学生成绩信息列
     */
    List<ScoreListVo> selectListVoByStuNo(String stuNo);

}
