package org.dromara.ygpassport.mapper;

import org.apache.ibatis.annotations.Param;
import org.dromara.ygpassport.domain.Student;
import org.dromara.ygpassport.domain.vo.StudentListVo;
import org.dromara.ygpassport.domain.vo.StudentVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

/**
 * 学生详情Mapper接口
 *
 * @author Lion Li
 * @date 2024-03-24
 */
public interface StudentMapper extends BaseMapperPlus<Student, StudentVo> {

    /**
     * 根据学号查询学生信息
     */
    StudentVo selectVoByStuNo(String stuNo);

    /**
     * 修改学生头像
     */
    Boolean updateAvatarByStuNo(@Param("avatar") String avatar, @Param("stuNo") String stuNo);

}
